<form #PARENT_FORM="ngForm">
    <div class="p-3">
        <app-dummy-form [(clickOnSubmit)]="clickOnSubmit" (onSubmit)="onSubmit($event)" name="field_one" ngModel
            ngDefaultControl required></app-dummy-form>
        <app-dummy-form [(clickOnSubmit)]="clickOnSubmit" (onSubmit)="onSubmit($event)" name="field_two" ngModel
            ngDefaultControl required></app-dummy-form>
        <button class="btn btn-outline-primary mt-3" (click)="clickOnSubmit=true">Submit</button>
    </div>
</form>